Debian Bug report logs - #683942
xterm: alternate screen scrolling

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Andrew Pimlott <andrew@pimlott.net>

Date: Sun, 5 Aug 2012 16:45:01 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version xterm/278-1

Fixed in version xterm/287-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Sun, 05 Aug 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Aug 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: alternate screen scrolling
Date: Sun, 5 Aug 2012 09:40:22 -0700
Package: xterm
Version: 278-1
Severity: wishlist

Dear Maintainer,

I used gnome-terminal recently and noticed that using the mouse wheel
caused scrolling within apps like vim.  I thought that was strange,
because I disabled mouse support in vim.  It turns out gnome-terminal
has a feature called "alternate screen scrolling".  When you are in the
alternate screen, it translates the mouse wheel into three up or down
arrow presses.

This is obviously a hack, but I want it.  (I don't like enabling mouse
support in vim because it takes over the mouse entirely, and as far as I
understand there is no way for it to only take the wheel.)  I thought I
might be able to set up my own translations, but I don't think there is
a way to define translations that apply only in the alternate screen.

Is there another way for me to get this behavior?

Andrew

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6           2.13-33
ii  libfontconfig1  2.9.0-6
ii  libice6         2:1.0.8-2
ii  libtinfo5       5.9-10
ii  libutempter0    1.1.5-4
ii  libx11-6        2:1.5.0-1
ii  libxaw7         2:1.0.10-2
ii  libxft2         2.3.1-1
ii  libxmu6         2:1.1.1-1
ii  libxt6          1:1.1.3-1
ii  xbitmaps        1.1.1-1

Versions of packages xterm recommends:
ii  x11-utils  7.7~1

Versions of packages xterm suggests:
pn  xfonts-cyrillic  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Sun, 05 Aug 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Aug 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 683942@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Andrew Pimlott <andrew@pimlott.net>, 683942@bugs.debian.org
Cc: 683942-submitter@bugs.debian.org
Subject: Re: Bug#683942: xterm: alternate screen scrolling
Date: Sun, 05 Aug 2012 14:06:02 -0400
[Message part 1 (text/plain, inline)]
On Sun, Aug 05, 2012 at 09:40:22AM -0700, Andrew Pimlott wrote:
> Package: xterm
> Version: 278-1
> Severity: wishlist
> 
> Dear Maintainer,
> 
> I used gnome-terminal recently and noticed that using the mouse wheel
> caused scrolling within apps like vim.  I thought that was strange,
> because I disabled mouse support in vim.  It turns out gnome-terminal
> has a feature called "alternate screen scrolling".  When you are in the
> alternate screen, it translates the mouse wheel into three up or down
> arrow presses.
> 
> This is obviously a hack, but I want it.  (I don't like enabling mouse
> support in vim because it takes over the mouse entirely, and as far as I
> understand there is no way for it to only take the wheel.)  I thought I
> might be able to set up my own translations, but I don't think there is
> a way to define translations that apply only in the alternate screen.
> 
> Is there another way for me to get this behavior?

It's fairly simple as an addition to xterm, probably hard other ways...

That sounds like a note that I made with reference to a comment about
konsole early this year:

120207
	if mouse-mode enabled, wheel mouse _does_ same.  arch-user wants it
	to send up/down arrows, sez konsole does this.
**	120208 better, add a control sequence for switching between sets of
	mouse translations, including konsole's combination.

(I'm currently working on complicated changes in vile and lynx, thinking
I'll work on xterm next...)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Sun, 05 Aug 2012 19:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Mon, 06 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 06 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #18 received at 683942@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: dickey <dickey@his.com>
Cc: 683942 <683942@bugs.debian.org>, 683942-submitter <683942-submitter@bugs.debian.org>
Subject: Re: Bug#683942: xterm: alternate screen scrolling
Date: Mon, 06 Aug 2012 10:04:09 -0700
Excerpts from Thomas Dickey's message of Sun Aug 05 11:06:02 -0700 2012:
> On Sun, Aug 05, 2012 at 09:40:22AM -0700, Andrew Pimlott wrote:
> > Is there another way for me to get this behavior?
> 
> It's fairly simple as an addition to xterm, probably hard other ways...
> 
> That sounds like a note that I made with reference to a comment about
> konsole early this year:
> 
> 120207
>     if mouse-mode enabled, wheel mouse _does_ same.  arch-user wants it
>     to send up/down arrows, sez konsole does this.
> **    120208 better, add a control sequence for switching between sets of
>     mouse translations, including konsole's combination.
> 
> (I'm currently working on complicated changes in vile and lynx, thinking
> I'll work on xterm next...)

Awesome, I'll be glad if you get to this.

Happy hacking,
Andrew



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Mon, 06 Aug 2012 17:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Mon, 06 Aug 2012 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 06 Aug 2012 22:33:08 GMT) Full text and rfc822 format available.

Message #26 received at 683942@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Andrew Pimlott <andrew@pimlott.net>, 683942@bugs.debian.org
Cc: 683942-submitter <683942-submitter@bugs.debian.org>
Subject: Re: Bug#683942: xterm: alternate screen scrolling
Date: Mon, 06 Aug 2012 18:31:10 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 06, 2012 at 10:04:09AM -0700, Andrew Pimlott wrote:
> Excerpts from Thomas Dickey's message of Sun Aug 05 11:06:02 -0700 2012:
> > On Sun, Aug 05, 2012 at 09:40:22AM -0700, Andrew Pimlott wrote:
> > > Is there another way for me to get this behavior?
> > 
> > It's fairly simple as an addition to xterm, probably hard other ways...
> > 
> > That sounds like a note that I made with reference to a comment about
> > konsole early this year:
> > 
> > 120207
> >     if mouse-mode enabled, wheel mouse _does_ same.  arch-user wants it
> >     to send up/down arrows, sez konsole does this.
> > **    120208 better, add a control sequence for switching between sets of
> >     mouse translations, including konsole's combination.
> > 
> > (I'm currently working on complicated changes in vile and lynx, thinking
> > I'll work on xterm next...)
> 
> Awesome, I'll be glad if you get to this.

I added a reminder in my to-do list (thanks)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Mon, 06 Aug 2012 22:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Wed, 26 Sep 2012 10:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Sep 2012 10:45:15 GMT) Full text and rfc822 format available.

Message #34 received at 683942@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 683942@bugs.debian.org
Cc: 683942-submitter@bugs.debian.org
Subject: Re: #683942 xterm: alternate screen scrolling
Date: Wed, 26 Sep 2012 06:44:02 -0400
[Message part 1 (text/plain, inline)]
I've applied a change for this which will appear in the #282 updates.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Wed, 26 Sep 2012 10:45:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Wed, 26 Sep 2012 14:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Sep 2012 14:51:10 GMT) Full text and rfc822 format available.

Message #42 received at 683942@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Thomas Dickey <dickey@his.com>
Cc: 683942 <683942@bugs.debian.org>, 683942-submitter <683942-submitter@bugs.debian.org>
Subject: Re: Bug#683942: #683942 xterm: alternate screen scrolling
Date: Wed, 26 Sep 2012 07:49:10 -0700
> I've applied a change for this which will appear in the #282 updates.

Woo hoo, thanks!

Andrew



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Wed, 26 Sep 2012 14:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#683942; Package xterm. (Sat, 29 Sep 2012 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 29 Sep 2012 01:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 683942@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 683942@bugs.debian.org
Cc: 683942-submitter@bugs.debian.org
Subject: re: #683942 xterm: alternate screen scrolling
Date: Fri, 28 Sep 2012 21:19:59 -0400
[Message part 1 (text/plain, inline)]
I made the indicated changes in #282 (current version).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sat, 29 Sep 2012 01:24:05 GMT) Full text and rfc822 format available.

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#683942. (Sat, 29 Sep 2012 01:24:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 27 Nov 2012 21:51:19 GMT) Full text and rfc822 format available.

Notification sent to Andrew Pimlott <andrew@pimlott.net>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 21:51:19 GMT) Full text and rfc822 format available.

Message #60 received at 683942-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 683942-close@bugs.debian.org
Subject: Bug#683942: fixed in xterm 287-1
Date: Tue, 27 Nov 2012 21:47:57 +0000
Source: xterm
Source-Version: 287-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Nov 2012 22:27:28 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 287-1
Distribution: experimental
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 359006 408666 683942 691642 694375
Changes: 
 xterm (287-1) experimental; urgency=low
 .
   * New upstream release (closes: #694375)
     - add alternateScroll resource and corresponding control sequences which
       modify the scroll-forw and scroll-back actions: when the alternate
       screen is displayed, wheel mouse up/down will send cursor keys (closes:
       #683942)
     - improve rendering for the case when a Unicode character is absent in the
       bold font but present in the normal font by temporarily falling back to
       the normal font (closes: #359006, #408666)
     - check for misconfigured printerCommand resource on the first use, warn
       and disable it if it does not specify an executable command (closes:
       #691642)
   * Drop upstream patches.
   * Refresh remaining patches.
   * Explicitly set --with-desktop-category to avoid desktop-file-install
     failure.
   * Enable backarrowKeyIsErase in configure instead of 900_debian_xterm.diff.
   * Install png/svg icons.
   * Change xterm.man's NAME section to keep whatis(1) happy.
Checksums-Sha1: 
 2e3a950920d5a74b6aaec447454ead50ccda3998 2019 xterm_287-1.dsc
 f1c4bfd11394eaa8158559cea63180fe7cc8d3ed 1103402 xterm_287.orig.tar.gz
 465d898bac50303b06c68dcc9a7453ee74acc9b6 98825 xterm_287-1.diff.gz
 e888c0d5ad201fc4037478fafe07161745c5c560 661918 xterm_287-1_amd64.deb
Checksums-Sha256: 
 f3eb17fceb50a7acb977c36c789812f39319c71b30aa97e7aaf6614cc6cd7d9a 2019 xterm_287-1.dsc
 b5645b5963d01d15f62fb9071f743b58e4d158581f19f411bf14422519363956 1103402 xterm_287.orig.tar.gz
 125172942397e818d450c52f5282777cb6c5d8e47b2dcbdd964991001ff2507e 98825 xterm_287-1.diff.gz
 ce39c08b42cd7b9b61e4ba2037e26fdad8f28039e19ec931f3ed4f03d50070c7 661918 xterm_287-1_amd64.deb
Files: 
 b341950dad30c453b6c12fc968352c7b 2019 x11 optional xterm_287-1.dsc
 0e4385e66d40b5dd6017d02c3db2a4af 1103402 x11 optional xterm_287.orig.tar.gz
 721f7450a36270648a3bd77f1fce6690 98825 x11 optional xterm_287-1.diff.gz
 0515e28e499ccb1f08d6c928cf32c5f9 661918 x11 optional xterm_287-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtTDSAAoJEDEBgAUJBeQMxtsP/0DCbmOhFELva5OpFJdwQWfW
mqJPHYS83JNNMQXwYS8IPNBcdpWfWGAT6YLdqgWqBcwUNkMx812nOvn/EDJtr6pG
DrsQim0Ysz/9NGSiKGqckuFcmySmOhCuhRjHmg48wk3ER/hTJWijyxUWsaqhsKqQ
lyeUW9Jw+nKpgqtpkGA85WGoPiDZh4O+sPwC1lNmlDiyw4nWAo2LJgmVJb1JugKH
+o/eEYdZinQBc0UiKnyYQmKUlmoJ+C7W+594/GEOVaeQTyAxNhMjmHqBWO1HglDw
WjBtRZk735LLXMFT9LWMXBbvydcnXUGKE9qSEZVWHDbIqBdJNh6lBm6nMJIMLp7S
/P7WheREZlwDqEOCYdkB/6M0FkSPCYZW5GI7/Lu6Gtm3FjMWIbcaOW8nEdBtiZJm
sDzwjzatxSUtL0iaVRPM+trCy4ynFU74nMCQ6XAFWaekY2g1oUaGAVXtofR2I/oi
3IYXpLXl/DmO4zwq+aMCgYzhvHoC2JzZnvrSt+5RYEsGhXEhakbiwI4G4YcRLbXc
YeYWAs07QKj4+IZ3nvIq5YgVqCUAZjpVlBYlkLFd7KsfTpAPi71NS/jB4L6Z7Foj
9jpqs8jtNjM+B7Rvt7ZF6GCP/f1XlFZRpzm1roL0YIdOvx66BVMOCfk1SSyzqsFX
fpj6xMPGzcI/tFfyFHC9
=E32r
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:34:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:45:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.